Subject: Help on installing FVWM-2.4.19

From: "I. Thomas Cundiff" <[email-masked]>
Date: Sat, 29 Jan 2005 13:33:54 -0500

I am not sure whom to send this e-mail to, so out of desperation and am 
sending it to the fvwm-workers.  If this is the wrong place, I would 
appreciate it if you could tell me where I could get help.

On April 10, 2004, I installed FVWM-2.4.18 using ./configure 
--without-gnome and got, among many other pieces of information:

With GTK support for FVWMGTK?  yes
With GDKImlib support in FvwmGTK?  yes

As far as I could tell, the installation (make followed by make install) 
went fine and version 2.4.18 is still my working version (as of today).

Since then, on August 25, 2004, I installed GLIB-2.4.2 and GTK+-2.4.2 
since it was my understanding that these could coexist with versions 
1.2.10 of both (which I needed at least for GIMP 1.2.5).

Today I tried installing FVWM-2.4.19 and after the usual decompression 
using BZIP2 and untarring, in the FVWM-2.4.19 subdirectory I gave 
./configure --without-gnome.
In the messages at the end of the configuration, I got that GTK was not 
detected and to see config.log for details.  After quite a bit of work 
which included invoking gtk-config --version to get 1.2.10 (and other 
information as well), I tried ./configure again with the argument list 
--without-gnome --disable-gtktest --disable-imlibtest, but I still got 
that configure could not detect GTK.  So I am attaching the file 
config.log (here called fvwm-config.log) since in looking at the file it 
seems clear it recognized the --disable-gtktest but then went ahead and 
did it anyway.

I also invoked imlib-config with the argument --version and got 1.9.14.

In installing [glib,gtk+]-1.2.10 I took all the defaults so the 
libraries are in /usr/local/lib.  I even tried the ./configure with 
--with-gtk-prefix=/usr/local --with-gtk-exec-prefix=/usr/local both of 
which I obtained from gtk-config with the arguments --prefix and 
--exec-prefix.

And in /usr/local/lib/pkgconfig there are .pc files for gtk+, gtk+-2.0, 
and imlib.

I really don't understand what has now gone wrong and, if I am doing 
something wrong, what it is.  I would appreciate any help you could give 
me as I would like to be able to use the latest version of FVWM which I 
have been using now for about a year and a half and like it very much.

If you need any further information, I would be happy to send it to you.

Tom Cundiff
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by configure, which was
generated by GNU Autoconf 2.54.  Invocation command line was

  $ ./configure --without-gnome --disable-gtktest --disable-imlibtest

## --------- ##
## Platform. ##
## --------- ##

hostname = localhost.localdomain
uname -m = i686
uname -r = 2.2.26
uname -s = Linux
uname -v = #1 Thu Mar 11 10:07:21 EST 2004

/usr/bin/uname -p = unknown
/bin/uname -X     = unknown

/bin/arch              = i686
/usr/bin/arch -k       = unknown
/usr/convex/getsysinfo = unknown
hostinfo               = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

PATH: /usr/kerberos/sbin
PATH: /usr/kerberos/bin
PATH: /usr/local/sbin
PATH: /usr/local/bin
PATH: /sbin
PATH: /bin
PATH: /usr/sbin
PATH: /usr/bin
PATH: /usr/X11R6/bin
PATH: /root/bin

## ----------- ##
## Core tests. ##
## ----------- ##

configure:1317: checking for a BSD-compatible install
configure:1371: result: /usr/local/bin/install -c
configure:1382: checking whether build environment is sane
configure:1425: result: yes
configure:1458: checking for gawk
configure:1474: found /usr/local/bin/gawk
configure:1484: result: gawk
configure:1494: checking whether make sets ${MAKE}
configure:1514: result: yes
configure:1707: checking whether to enable command logging
configure:1725: result: no
configure:1730: checking whether to enable debugging messages
configure:1748: result: no
configure:1753: checking whether to enable multibyte character support (experimental)
configure:1771: result: no
configure:1777: checking whether to enable compound text conversion support
configure:1795: result: yes
configure:1812: checking imagepath
configure:1838: result: /usr/include/X11/bitmaps:/usr/include/X11/pixmaps
configure:1887: checking for gcc
configure:1903: found /usr/local/bin/gcc
configure:1913: result: gcc
configure:2155: checking for C compiler version
configure:2158: gcc --version </dev/null >&5
gcc (GCC) 3.3.3
Copyright (C) 2003 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:2161: $? = 0
configure:2163: gcc -v </dev/null >&5
Reading specs from /usr/local/gcc-3.3.3/lib/gcc-lib/i686-pc-linux-gnu/3.3.3/specs
Configured with: ../gcc-3.3.3/configure --prefix=/usr/local/gcc-3.3.3 --enable-threads --enable-languages=c,c++,objc,java
Thread model: posix
gcc version 3.3.3
configure:2166: $? = 0
configure:2168: gcc -V </dev/null >&5
gcc: `-V' option must have argument
configure:2171: $? = 1
configure:2191: checking for C compiler default output
configure:2194: gcc    conftest.c  >&5
configure:2197: $? = 0
configure:2231: result: a.out
configure:2236: checking whether the C compiler works
configure:2242: ./a.out
configure:2245: $? = 0
configure:2260: result: yes
configure:2267: checking whether we are cross compiling
configure:2269: result: no
configure:2272: checking for suffix of executables
configure:2274: gcc -o conftest    conftest.c  >&5
configure:2277: $? = 0
configure:2300: result: 
configure:2306: checking for suffix of object files
configure:2324: gcc -c   conftest.c >&5
configure:2327: $? = 0
configure:2346: result: o
configure:2350: checking whether we are using the GNU C compiler
configure:2371: gcc -c   conftest.c >&5
configure:2374: $? = 0
configure:2377: test -s conftest.o
configure:2380: $? = 0
configure:2392: result: yes
configure:2398: checking whether gcc accepts -g
configure:2416: gcc -c -g  conftest.c >&5
configure:2419: $? = 0
configure:2422: test -s conftest.o
configure:2425: $? = 0
configure:2435: result: yes
configure:2452: checking for gcc option to accept ANSI C
configure:2509: gcc  -c -g -O2  conftest.c >&5
configure:2512: $? = 0
configure:2515: test -s conftest.o
configure:2518: $? = 0
configure:2535: result: none needed
configure:2553: gcc -c -g -O2  conftest.c >&5
conftest.c:2: error: parse error before "me"
configure:2556: $? = 1
configure: failed program was:
#ifndef __cplusplus
  choke me
#endif
configure:2673: checking for style of include used by make
configure:2701: result: GNU
configure:2729: checking dependency style of gcc
configure:2791: result: gcc3
configure:2813: checking how to run the C preprocessor
configure:2839: gcc -E  conftest.c
configure:2845: $? = 0
configure:2872: gcc -E  conftest.c
configure:2868:28: ac_nonexistent.h: No such file or directory
configure:2878: $? = 1
configure: failed program was:
#line 2867 "configure"
#include "confdefs.h"
#include <ac_nonexistent.h>
configure:2915: result: gcc -E
configure:2930: gcc -E  conftest.c
configure:2936: $? = 0
configure:2963: gcc -E  conftest.c
configure:2959:28: ac_nonexistent.h: No such file or directory
configure:2969: $? = 1
configure: failed program was:
#line 2958 "configure"
#include "confdefs.h"
#include <ac_nonexistent.h>
configure:3010: checking for library containing strerror
configure:3037: gcc -o conftest -g -O2   conftest.c  >&5
configure:3040: $? = 0
configure:3043: test -s conftest
configure:3046: $? = 0
configure:3099: result: none required
configure:3107: checking for egrep
configure:3117: result: grep -E
configure:3122: checking for ANSI C header files
configure:3136: gcc -E  conftest.c
configure:3142: $? = 0
configure:3227: gcc -o conftest -g -O2   conftest.c  >&5
configure:3230: $? = 0
configure:3232: ./conftest
configure:3235: $? = 0
configure:3249: result: yes
configure:3273: checking for sys/types.h
configure:3286: gcc -c -g -O2  conftest.c >&5
configure:3289: $? = 0
configure:3292: test -s conftest.o
configure:3295: $? = 0
configure:3305: result: yes
configure:3273: checking for sys/stat.h
configure:3286: gcc -c -g -O2  conftest.c >&5
configure:3289: $? = 0
configure:3292: test -s conftest.o
configure:3295: $? = 0
configure:3305: result: yes
configure:3273: checking for stdlib.h
configure:3286: gcc -c -g -O2  conftest.c >&5
configure:3289: $? = 0
configure:3292: test -s conftest.o
configure:3295: $? = 0
configure:3305: result: yes
configure:3273: checking for string.h
configure:3286: gcc -c -g -O2  conftest.c >&5
configure:3289: $? = 0
configure:3292: test -s conftest.o
configure:3295: $? = 0
configure:3305: result: yes
configure:3273: checking for memory.h
configure:3286: gcc -c -g -O2  conftest.c >&5
configure:3289: $? = 0
configure:3292: test -s conftest.o
configure:3295: $? = 0
configure:3305: result: yes
configure:3273: checking for strings.h
configure:3286: gcc -c -g -O2  conftest.c >&5
configure:3289: $? = 0
configure:3292: test -s conftest.o
configure:3295: $? = 0
configure:3305: result: yes
configure:3273: checking for inttypes.h
configure:3286: gcc -c -g -O2  conftest.c >&5
configure:3289: $? = 0
configure:3292: test -s conftest.o
configure:3295: $? = 0
configure:3305: result: yes
configure:3273: checking for stdint.h
configure:3286: gcc -c -g -O2  conftest.c >&5
configure:3289: $? = 0
configure:3292: test -s conftest.o
configure:3295: $? = 0
configure:3305: result: yes
configure:3273: checking for unistd.h
configure:3286: gcc -c -g -O2  conftest.c >&5
configure:3289: $? = 0
configure:3292: test -s conftest.o
configure:3295: $? = 0
configure:3305: result: yes
configure:3327: checking minix/config.h usability
configure:3336: gcc -c -g -O2  conftest.c >&5
configure:3364:26: minix/config.h: No such file or directory
configure:3339: $? = 1
configure: failed program was:
#line 3329 "configure"
#include "confdefs.h"
#include <stdio.h>
#if HAVE_SYS_TYPES_H
# include <sys/types.h>
#endif
#if HAVE_SYS_STAT_H
# include <sys/stat.h>
#endif
#if STDC_HEADERS
# include <stdlib.h>
# include <stddef.h>
#else
# if HAVE_STDLIB_H
#  include <stdlib.h>
# endif
#endif
#if HAVE_STRING_H
# if !STDC_HEADERS && HAVE_MEMORY_H
#  include <memory.h>
# endif
# include <string.h>
#endif
#if HAVE_STRINGS_H
# include <strings.h>
#endif
#if HAVE_INTTYPES_H
# include <inttypes.h>
#else
# if HAVE_STDINT_H
#  include <stdint.h>
# endif
#endif
#if HAVE_UNISTD_H
# include <unistd.h>
#endif
#include <minix/config.h>
configure:3354: result: no
configure:3358: checking minix/config.h presence
configure:3365: gcc -E  conftest.c
configure:3361:26: minix/config.h: No such file or directory
configure:3371: $? = 1
configure: failed program was:
#line 3360 "configure"
#include "confdefs.h"
#include <minix/config.h>
configure:3389: result: no
configure:3407: checking for minix/config.h
configure:3414: result: no
configure:3445: checking for X
configure:3655: result: libraries /usr/X11R6/lib, headers /usr/X11R6/include
configure:3794: gcc -o conftest -g -O2   conftest.c   -L/usr/X11R6/lib -lX11 >&5
configure:3797: $? = 0
configure:3800: test -s conftest
configure:3803: $? = 0
configure:3929: checking for gethostbyname
configure:3966: gcc -o conftest -g -O2   conftest.c  >&5
configure:3969: $? = 0
configure:3972: test -s conftest
configure:3975: $? = 0
configure:3985: result: yes
configure:4106: checking for connect
configure:4143: gcc -o conftest -g -O2   conftest.c  >&5
configure:4146: $? = 0
configure:4149: test -s conftest
configure:4152: $? = 0
configure:4162: result: yes
configure:4222: checking for remove
configure:4259: gcc -o conftest -g -O2   conftest.c  >&5
configure:4262: $? = 0
configure:4265: test -s conftest
configure:4268: $? = 0
configure:4278: result: yes
configure:4338: checking for shmat
configure:4375: gcc -o conftest -g -O2   conftest.c  >&5
configure:4378: $? = 0
configure:4381: test -s conftest
configure:4384: $? = 0
configure:4394: result: yes
configure:4463: checking for IceConnectionNumber in -lICE
configure:4490: gcc -o conftest -g -O2   -L/usr/X11R6/lib conftest.c -lICE   >&5
configure:4493: $? = 0
configure:4496: test -s conftest
configure:4499: $? = 0
configure:4510: result: yes
configure:4538: checking whether to enable GNOME window manager hints
configure:4556: result: yes
configure:4585: checking for SmcOpenConnection in -lSM
configure:4612: gcc -o conftest -g -O2   conftest.c -lSM  -L/usr/X11R6/lib  -lSM -lICE -lX11   >&5
configure:4615: $? = 0
configure:4618: test -s conftest
configure:4621: $? = 0
configure:4632: result: yes
configure:4664: checking for XShapeQueryExtension in -lXext
configure:4691: gcc -o conftest -g -O2   conftest.c -lXext  -L/usr/X11R6/lib  -lSM -lICE -lX11   >&5
configure:4694: $? = 0
configure:4697: test -s conftest
configure:4700: $? = 0
configure:4711: result: yes
configure:4744: checking for XineramaIsActive in -lXinerama
configure:4771: gcc -o conftest -g -O2   conftest.c -lXinerama  -L/usr/X11R6/lib  -lSM -lICE -lXext -lX11   >&5
configure:4774: $? = 0
configure:4777: test -s conftest
configure:4780: $? = 0
configure:4791: result: yes
configure:4809: checking whether to enable Xinerama emulation on one screen (useful for developers only)
configure:4827: result: no
configure:4880: checking for XpmReadFileToXpmImage in -lXpm
configure:4907: gcc -o conftest -g -O2   conftest.c -lXpm -lXpm  -L/usr/X11R6/lib  -lSM -lICE -lX11   >&5
configure:4910: $? = 0
configure:4913: test -s conftest
configure:4916: $? = 0
configure:4927: result: yes
configure:4970: checking X11/xpm.h usability
configure:4979: gcc -c -g -O2    -I/usr/X11R6/include conftest.c >&5
configure:4982: $? = 0
configure:4985: test -s conftest.o
configure:4988: $? = 0
configure:4997: result: yes
configure:5001: checking X11/xpm.h presence
configure:5008: gcc -E    -I/usr/X11R6/include conftest.c
configure:5014: $? = 0
configure:5032: result: yes
configure:5050: checking for X11/xpm.h
configure:5057: result: yes
configure:5095: checking for Xpm 3.4g or better
configure:5116: gcc -o conftest -g -O2    -I/usr/X11R6/include  conftest.c  -lXpm  -L/usr/X11R6/lib  -lSM -lICE -lX11  >&5
configure:5119: $? = 0
configure:5121: ./conftest
configure:5124: $? = 0
configure:5148: result: yes
configure:5212: checking for rplay_create in -lrplay
configure:5239: gcc -o conftest -g -O2   conftest.c -lrplay -lrplay   >&5
configure:5242: $? = 0
configure:5245: test -s conftest
configure:5248: $? = 0
configure:5259: result: yes
configure:5302: checking rplay.h usability
configure:5311: gcc -c -g -O2   conftest.c >&5
configure:5314: $? = 0
configure:5317: test -s conftest.o
configure:5320: $? = 0
configure:5329: result: yes
configure:5333: checking rplay.h presence
configure:5340: gcc -E   conftest.c
configure:5346: $? = 0
configure:5364: result: yes
configure:5382: checking for rplay.h
configure:5389: result: yes
configure:5470: checking for stroke_init in -lstroke
configure:5497: gcc -o conftest -g -O2   conftest.c -lstroke -lstroke  -L/usr/X11R6/lib -lX11  >&5
configure:5500: $? = 0
configure:5503: test -s conftest
configure:5506: $? = 0
configure:5517: result: yes
configure:5560: checking stroke.h usability
configure:5569: gcc -c -g -O2    -I/usr/X11R6/include -I/usr/X11R6/include conftest.c >&5
configure:5572: $? = 0
configure:5575: test -s conftest.o
configure:5578: $? = 0
configure:5587: result: yes
configure:5591: checking stroke.h presence
configure:5598: gcc -E    -I/usr/X11R6/include -I/usr/X11R6/include conftest.c
configure:5604: $? = 0
configure:5622: result: yes
configure:5640: checking for stroke.h
configure:5647: result: yes
configure:5728: checking with termcap
configure:5768: checking for readline in -lreadline
configure:5795: gcc -o conftest -g -O2   conftest.c -lreadline -lreadline -ltermcap  >&5
configure:5798: $? = 0
configure:5801: test -s conftest
configure:5804: $? = 0
configure:5815: result: yes
configure:5858: checking readline/history.h usability
configure:5867: gcc -c -g -O2   conftest.c >&5
configure:5870: $? = 0
configure:5873: test -s conftest.o
configure:5876: $? = 0
configure:5885: result: yes
configure:5889: checking readline/history.h presence
configure:5896: gcc -E   conftest.c
configure:5902: $? = 0
configure:5920: result: yes
configure:5938: checking for readline/history.h
configure:5945: result: yes
configure:6407: checking for _Xsetlocale in -lX11
configure:6434: gcc -o conftest -g -O2   conftest.c -lX11  -L/usr/X11R6/lib -lX11  >&5
/tmp/cc2DnoxA.o(.text+0xa): In function `main':
/install/fvwm-2.4.19/configure:6426: undefined reference to `_Xsetlocale'
collect2: ld returned 1 exit status
configure:6437: $? = 1
configure: failed program was:
#line 6414 "configure"
#include "confdefs.h"

/* Override any gcc2 internal prototype to avoid an error.  */
#ifdef __cplusplus
extern "C"
#endif
/* We use char because int might match the return type of a gcc2
   builtin and then its argument prototype would still apply.  */
char _Xsetlocale ();
int
main ()
{
_Xsetlocale ();
  ;
  return 0;
}
configure:6454: result: no
configure:6480: checking stdarg.h usability
configure:6489: gcc -c -g -O2  conftest.c >&5
configure:6492: $? = 0
configure:6495: test -s conftest.o
configure:6498: $? = 0
configure:6507: result: yes
configure:6511: checking stdarg.h presence
configure:6518: gcc -E  conftest.c
configure:6524: $? = 0
configure:6542: result: yes
configure:6560: checking for stdarg.h
configure:6567: result: yes
configure:6584: checking for vfprintf
configure:6621: gcc -o conftest -g -O2   conftest.c  >&5
configure:6624: $? = 0
configure:6627: test -s conftest
configure:6630: $? = 0
configure:6640: result: yes
configure:6661: checking for waitpid
configure:6698: gcc -o conftest -g -O2   conftest.c  >&5
configure:6701: $? = 0
configure:6704: test -s conftest
configure:6707: $? = 0
configure:6717: result: yes
configure:6810: checking for cpp
configure:6829: found /usr/local/bin/cpp
configure:6842: result: /usr/local/bin/cpp
configure:6867: checking for a BSD-compatible install
configure:6921: result: /usr/local/bin/install -c
configure:6932: checking whether ln -s works
configure:6936: result: yes
configure:6943: checking whether make sets ${MAKE}
configure:6963: result: yes
configure:7013: checking for ranlib
configure:7029: found /usr/local/bin/ranlib
configure:7040: result: ranlib
configure:7056: checking for perl
configure:7074: found /usr/local/bin/perl
configure:7086: result: /usr/local/bin/perl
configure:7095: checking for perl 5.002 or better
configure:7098: result: yes
configure:7111: result: assuming /usr/local/bin/perl as perl location
configure:7115: checking for ANSI C header files
configure:7242: result: yes
configure:7252: checking for sys/wait.h that is POSIX.1 compatible
configure:7280: gcc -c -g -O2  conftest.c >&5
configure:7283: $? = 0
configure:7286: test -s conftest.o
configure:7289: $? = 0
configure:7299: result: yes
configure:7320: checking for stdlib.h
configure:7325: result: yes
configure:7329: checking fcntl.h usability
configure:7338: gcc -c -g -O2  conftest.c >&5
configure:7341: $? = 0
configure:7344: test -s conftest.o
configure:7347: $? = 0
configure:7356: result: yes
configure:7360: checking fcntl.h presence
configure:7367: gcc -E  conftest.c
configure:7373: $? = 0
configure:7391: result: yes
configure:7409: checking for fcntl.h
configure:7416: result: yes
configure:7329: checking limits.h usability
configure:7338: gcc -c -g -O2  conftest.c >&5
configure:7341: $? = 0
configure:7344: test -s conftest.o
configure:7347: $? = 0
configure:7356: result: yes
configure:7360: checking limits.h presence
configure:7367: gcc -E  conftest.c
configure:7373: $? = 0
configure:7391: result: yes
configure:7409: checking for limits.h
configure:7416: result: yes
configure:7329: checking malloc.h usability
configure:7338: gcc -c -g -O2  conftest.c >&5
configure:7341: $? = 0
configure:7344: test -s conftest.o
configure:7347: $? = 0
configure:7356: result: yes
configure:7360: checking malloc.h presence
configure:7367: gcc -E  conftest.c
configure:7373: $? = 0
configure:7391: result: yes
configure:7409: checking for malloc.h
configure:7416: result: yes
configure:7320: checking for string.h
configure:7325: result: yes
configure:7320: checking for memory.h
configure:7325: result: yes
configure:7320: checking for unistd.h
configure:7325: result: yes
configure:7445: checking getopt.h usability
configure:7454: gcc -c -g -O2  conftest.c >&5
configure:7457: $? = 0
configure:7460: test -s conftest.o
configure:7463: $? = 0
configure:7472: result: yes
configure:7476: checking getopt.h presence
configure:7483: gcc -E  conftest.c
configure:7489: $? = 0
configure:7507: result: yes
configure:7525: checking for getopt.h
configure:7532: result: yes
configure:7445: checking sys/select.h usability
configure:7454: gcc -c -g -O2  conftest.c >&5
configure:7457: $? = 0
configure:7460: test -s conftest.o
configure:7463: $? = 0
configure:7472: result: yes
configure:7476: checking sys/select.h presence
configure:7483: gcc -E  conftest.c
configure:7489: $? = 0
configure:7507: result: yes
configure:7525: checking for sys/select.h
configure:7532: result: yes
configure:7445: checking sys/systeminfo.h usability
configure:7454: gcc -c -g -O2  conftest.c >&5
configure:7482:28: sys/systeminfo.h: No such file or directory
configure:7457: $? = 1
configure: failed program was:
#line 7447 "configure"
#include "confdefs.h"
#include <stdio.h>
#if HAVE_SYS_TYPES_H
# include <sys/types.h>
#endif
#if HAVE_SYS_STAT_H
# include <sys/stat.h>
#endif
#if STDC_HEADERS
# include <stdlib.h>
# include <stddef.h>
#else
# if HAVE_STDLIB_H
#  include <stdlib.h>
# endif
#endif
#if HAVE_STRING_H
# if !STDC_HEADERS && HAVE_MEMORY_H
#  include <memory.h>
# endif
# include <string.h>
#endif
#if HAVE_STRINGS_H
# include <strings.h>
#endif
#if HAVE_INTTYPES_H
# include <inttypes.h>
#else
# if HAVE_STDINT_H
#  include <stdint.h>
# endif
#endif
#if HAVE_UNISTD_H
# include <unistd.h>
#endif
#include <sys/systeminfo.h>
configure:7472: result: no
configure:7476: checking sys/systeminfo.h presence
configure:7483: gcc -E  conftest.c
configure:7479:28: sys/systeminfo.h: No such file or directory
configure:7489: $? = 1
configure: failed program was:
#line 7478 "configure"
#include "confdefs.h"
#include <sys/systeminfo.h>
configure:7507: result: no
configure:7525: checking for sys/systeminfo.h
configure:7532: result: no
configure:7546: checking for an ANSI C-conforming const
configure:7610: gcc -c -g -O2  conftest.c >&5
configure:7613: $? = 0
configure:7616: test -s conftest.o
configure:7619: $? = 0
configure:7629: result: yes
configure:7639: checking for inline
configure:7657: gcc -c -g -O2  conftest.c >&5
configure:7660: $? = 0
configure:7663: test -s conftest.o
configure:7666: $? = 0
configure:7677: result: inline
configure:7692: checking for off_t
configure:7713: gcc -c -g -O2  conftest.c >&5
configure:7716: $? = 0
configure:7719: test -s conftest.o
configure:7722: $? = 0
configure:7732: result: yes
configure:7744: checking for pid_t
configure:7765: gcc -c -g -O2  conftest.c >&5
configure:7768: $? = 0
configure:7771: test -s conftest.o
configure:7774: $? = 0
configure:7784: result: yes
configure:7796: checking for size_t
configure:7817: gcc -c -g -O2  conftest.c >&5
configure:7820: $? = 0
configure:7823: test -s conftest.o
configure:7826: $? = 0
configure:7836: result: yes
configure:7849: checking return type of signal handlers
configure:7877: gcc -c -g -O2  conftest.c >&5
configure:7880: $? = 0
configure:7883: test -s conftest.o
configure:7886: $? = 0
configure:7896: result: void
configure:7906: checking for working alloca.h
configure:7924: gcc -o conftest -g -O2   conftest.c  >&5
configure:7927: $? = 0
configure:7930: test -s conftest
configure:7933: $? = 0
configure:7943: result: yes
configure:7953: checking for alloca
configure:7991: gcc -o conftest -g -O2   conftest.c  >&5
configure:7994: $? = 0
configure:7997: test -s conftest
configure:8000: $? = 0
configure:8010: result: yes
configure:8198: checking for strftime
configure:8235: gcc -o conftest -g -O2   conftest.c  >&5
configure:8238: $? = 0
configure:8241: test -s conftest
configure:8244: $? = 0
configure:8254: result: yes
configure:8332: checking for gettimeofday
configure:8369: gcc -o conftest -g -O2   conftest.c  >&5
configure:8372: $? = 0
configure:8375: test -s conftest
configure:8378: $? = 0
configure:8388: result: yes
configure:8332: checking for mkfifo
configure:8369: gcc -o conftest -g -O2   conftest.c  >&5
configure:8372: $? = 0
configure:8375: test -s conftest
configure:8378: $? = 0
configure:8388: result: yes
configure:8332: checking for putenv
configure:8369: gcc -o conftest -g -O2   conftest.c  >&5
configure:8372: $? = 0
configure:8375: test -s conftest
configure:8378: $? = 0
configure:8388: result: yes
configure:8332: checking for setvbuf
configure:8369: gcc -o conftest -g -O2   conftest.c  >&5
configure:8372: $? = 0
configure:8375: test -s conftest
configure:8378: $? = 0
configure:8388: result: yes
configure:8332: checking for socket
configure:8369: gcc -o conftest -g -O2   conftest.c  >&5
configure:8372: $? = 0
configure:8375: test -s conftest
configure:8378: $? = 0
configure:8388: result: yes
configure:8332: checking for waitpid
configure:8388: result: yes
configure:8410: checking for strdup
configure:8447: gcc -o conftest -g -O2   conftest.c  >&5
configure:8450: $? = 0
configure:8453: test -s conftest
configure:8456: $? = 0
configure:8466: result: yes
configure:8410: checking for strstr
configure:8447: gcc -o conftest -g -O2   conftest.c  >&5
configure:8425: warning: conflicting types for built-in function `strstr'
configure:8450: $? = 0
configure:8453: test -s conftest
configure:8456: $? = 0
configure:8466: result: yes
configure:8410: checking for strtol
configure:8447: gcc -o conftest -g -O2   conftest.c  >&5
configure:8450: $? = 0
configure:8453: test -s conftest
configure:8456: $? = 0
configure:8466: result: yes
configure:8410: checking for memmove
configure:8447: gcc -o conftest -g -O2   conftest.c  >&5
configure:8450: $? = 0
configure:8453: test -s conftest
configure:8456: $? = 0
configure:8466: result: yes
configure:8410: checking for memcpy
configure:8447: gcc -o conftest -g -O2   conftest.c  >&5
configure:8425: warning: conflicting types for built-in function `memcpy'
configure:8450: $? = 0
configure:8453: test -s conftest
configure:8456: $? = 0
configure:8466: result: yes
configure:8410: checking for strchr
configure:8447: gcc -o conftest -g -O2   conftest.c  >&5
configure:8425: warning: conflicting types for built-in function `strchr'
configure:8450: $? = 0
configure:8453: test -s conftest
configure:8456: $? = 0
configure:8466: result: yes
configure:8410: checking for sysconf
configure:8447: gcc -o conftest -g -O2   conftest.c  >&5
configure:8450: $? = 0
configure:8453: test -s conftest
configure:8456: $? = 0
configure:8466: result: yes
configure:8410: checking for uname
configure:8447: gcc -o conftest -g -O2   conftest.c  >&5
configure:8450: $? = 0
configure:8453: test -s conftest
configure:8456: $? = 0
configure:8466: result: yes
configure:8410: checking for div
configure:8447: gcc -o conftest -g -O2   conftest.c  >&5
configure:8450: $? = 0
configure:8453: test -s conftest
configure:8456: $? = 0
configure:8466: result: yes
configure:8482: checking for sigaction
configure:8519: gcc -o conftest -g -O2   conftest.c  >&5
configure:8522: $? = 0
configure:8525: test -s conftest
configure:8528: $? = 0
configure:8538: result: yes
configure:8482: checking for siginterrupt
configure:8519: gcc -o conftest -g -O2   conftest.c  >&5
configure:8522: $? = 0
configure:8525: test -s conftest
configure:8528: $? = 0
configure:8538: result: yes
configure:8482: checking for getpwuid
configure:8519: gcc -o conftest -g -O2   conftest.c  >&5
configure:8522: $? = 0
configure:8525: test -s conftest
configure:8528: $? = 0
configure:8538: result: yes
configure:8549: checking for sig_atomic_t
configure:8573: result: yes
configure:8584: checking for function prototypes
configure:8587: result: yes
configure:8604: checking whether setvbuf arguments are reversed
configure:8626: gcc -o conftest -g -O2   conftest.c  >&5
configure:8613: error: conflicting types for `setvbuf'
/usr/include/stdio.h:261: error: previous declaration of `setvbuf'
configure:8629: $? = 1
configure: failed program was:
#line 8610 "configure"
#include "confdefs.h"
#include <stdio.h>
#	  if PROTOTYPES
	   int (setvbuf) (FILE *, int, char *, size_t);
#	  endif
int
main ()
{
char buf; return setvbuf (stdout, _IOLBF, &buf, 1);
  ;
  return 0;
}
configure:8722: result: no
configure:8738: checking for select
configure:8775: gcc -o conftest -g -O2   conftest.c  >&5
configure:8778: $? = 0
configure:8781: test -s conftest
configure:8784: $? = 0
configure:8794: result: yes
configure:8814: checking for unistd.h
configure:8819: result: yes
configure:8814: checking for sys/types.h
configure:8819: result: yes
configure:8823: checking sys/time.h usability
configure:8832: gcc -c -g -O2  conftest.c >&5
configure:8835: $? = 0
configure:8838: test -s conftest.o
configure:8841: $? = 0
configure:8850: result: yes
configure:8854: checking sys/time.h presence
configure:8861: gcc -E  conftest.c
configure:8867: $? = 0
configure:8885: result: yes
configure:8903: checking for sys/time.h
configure:8910: result: yes
configure:8814: checking for sys/select.h
configure:8819: result: yes
configure:8823: checking sys/socket.h usability
configure:8832: gcc -c -g -O2  conftest.c >&5
configure:8835: $? = 0
configure:8838: test -s conftest.o
configure:8841: $? = 0
configure:8850: result: yes
configure:8854: checking sys/socket.h presence
configure:8861: gcc -E  conftest.c
configure:8867: $? = 0
configure:8885: result: yes
configure:8903: checking for sys/socket.h
configure:8910: result: yes
configure:8923: checking argument types of select()
configure:8963: gcc -c -g -O2  conftest.c >&5
configure:8966: $? = 0
configure:8969: test -s conftest.o
configure:8972: $? = 0
configure:8994: result: select(int,fd_set *,...)
configure:9060: checking for gethostname
configure:9097: gcc -o conftest -g -O2   conftest.c  >&5
configure:9100: $? = 0
configure:9103: test -s conftest
configure:9106: $? = 0
configure:9116: result: yes
configure:9060: checking for strcasecmp
configure:9097: gcc -o conftest -g -O2   conftest.c  >&5
configure:9100: $? = 0
configure:9103: test -s conftest
configure:9106: $? = 0
configure:9116: result: yes
configure:9060: checking for strncasecmp
configure:9097: gcc -o conftest -g -O2   conftest.c  >&5
configure:9100: $? = 0
configure:9103: test -s conftest
configure:9106: $? = 0
configure:9116: result: yes
configure:9060: checking for strdup
configure:9116: result: yes
configure:9060: checking for strerror
configure:9097: gcc -o conftest -g -O2   conftest.c  >&5
configure:9100: $? = 0
configure:9103: test -s conftest
configure:9106: $? = 0
configure:9116: result: yes
configure:9060: checking for usleep
configure:9097: gcc -o conftest -g -O2   conftest.c  >&5
configure:9100: $? = 0
configure:9103: test -s conftest
configure:9106: $? = 0
configure:9116: result: yes
configure:9060: checking for atexit
configure:9097: gcc -o conftest -g -O2   conftest.c  >&5
configure:9100: $? = 0
configure:9103: test -s conftest
configure:9106: $? = 0
configure:9116: result: yes
configure:9251: checking for gtk-config
configure:9269: found /usr/local/bin/gtk-config
configure:9282: result: /usr/local/bin/gtk-config
configure:9290: checking for GTK - version >= 1.1.0
configure:9393: gcc -o conftest -g -O2 -I/usr/local/include/gtk-1.2 -I/usr/local/include/glib-1.2 -I/usr/local/lib/glib/include -I/usr/X11R6/include   conftest.c  -L/usr/local/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXext -lX11 -lm >&5
In file included from /usr/local/include/glib-1.2/glib.h:66,
                 from /usr/local/include/gtk-1.2/gdk/gdktypes.h:33,
                 from /usr/local/include/gtk-1.2/gdk/gdk.h:31,
                 from /usr/local/include/gtk-1.2/gtk/gtk.h:31,
                 from configure:9315:
/usr/local/lib/glib/include/glibconfig.h:9:26: glib/gmacros.h: No such file or directory
In file included from /usr/local/include/glib-1.2/glib.h:66,
                 from /usr/local/include/gtk-1.2/gdk/gdktypes.h:33,
                 from /usr/local/include/gtk-1.2/gdk/gdk.h:31,
                 from /usr/local/include/gtk-1.2/gtk/gtk.h:31,
                 from configure:9315:
/usr/local/lib/glib/include/glibconfig.h:32: error: syntax error before "typedef"
/usr/local/lib/glib/include/glibconfig.h:46: error: syntax error before "typedef"
/usr/local/lib/glib/include/glibconfig.h:47: error: syntax error before "typedef"
In file included from /usr/local/include/glib-1.2/glib.h:70,
                 from /usr/local/include/gtk-1.2/gdk/gdktypes.h:33,
                 from /usr/local/include/gtk-1.2/gdk/gdk.h:31,
                 from /usr/local/include/gtk-1.2/gtk/gtk.h:31,
                 from configure:9315:
/usr/local/gcc-3.3.3/lib/gcc-lib/i686-pc-linux-gnu/3.3.3/include/stdarg.h:43: error: syntax error before "typedef"
In file included from /usr/local/include/gtk-1.2/gdk/gdktypes.h:33,
                 from /usr/local/include/gtk-1.2/gdk/gdk.h:31,
                 from /usr/local/include/gtk-1.2/gtk/gtk.h:31,
                 from configure:9315:
/usr/local/include/glib-1.2/glib.h:502: error: redefinition of `gssize'
/usr/local/lib/glib/include/glibconfig.h:58: error: `gssize' previously declared here
/usr/local/include/glib-1.2/glib.h:503: error: redefinition of `gsize'
/usr/local/lib/glib/include/glibconfig.h:59: error: `gsize' previously declared here
configure:9396: $? = 1
configure: program exited with status 1
configure: failed program was:
#line 9313 "configure"
#include "confdefs.h"

#include <gtk/gtk.h>
#include <stdio.h>
#include <stdlib.h>

int
main ()
{
  int major, minor, micro;
  char *tmp_version;

  system ("touch conf.gtktest");

  /* HP/UX 9 (%@#!) writes to sscanf strings */
  tmp_version = g_strdup("1.1.0");
  if (sscanf(tmp_version, "%d.%d.%d", &major, &minor, &micro) != 3) {
     printf("%s, bad version string\n", "1.1.0");
     exit(1);
   }

  if ((gtk_major_version != 1) ||
      (gtk_minor_version != 2) ||
      (gtk_micro_version != 10))
    {
      printf("\n*** 'gtk-config --version' returned %d.%d.%d, but GTK+ (%d.%d.%d)\n",
             1, 2, 10,
             gtk_major_version, gtk_minor_version, gtk_micro_version);
      printf ("*** was found! If gtk-config was correct, then it is best\n");
      printf ("*** to remove the old version of GTK+. You may also be able to fix the error\n");
      printf("*** by modifying your LD_LIBRARY_PATH enviroment variable, or by editing\n");
      printf("*** /etc/ld.so.conf. Make sure you have run ldconfig if that is\n");
      printf("*** required on your system.\n");
      printf("*** If gtk-config was wrong, set the environment variable GTK_CONFIG\n");
      printf("*** to point to the correct copy of gtk-config, and remove the file config.cache\n");
      printf("*** before re-running configure\n");
    }
#if defined (GTK_MAJOR_VERSION) && defined (GTK_MINOR_VERSION) && defined (GTK_MICRO_VERSION)
  else if ((gtk_major_version != GTK_MAJOR_VERSION) ||
	   (gtk_minor_version != GTK_MINOR_VERSION) ||
           (gtk_micro_version != GTK_MICRO_VERSION))
    {
      printf("*** GTK+ header files (version %d.%d.%d) do not match\n",
	     GTK_MAJOR_VERSION, GTK_MINOR_VERSION, GTK_MICRO_VERSION);
      printf("*** library (version %d.%d.%d)\n",
	     gtk_major_version, gtk_minor_version, gtk_micro_version);
    }
#endif /* defined (GTK_MAJOR_VERSION) ... */
  else
    {
      if ((gtk_major_version > major) ||
        ((gtk_major_version == major) && (gtk_minor_version > minor)) ||
        ((gtk_major_version == major) && (gtk_minor_version == minor) && (gtk_micro_version >= micro)))
      {
        return 0;
       }
     else
      {
        printf("\n*** An old version of GTK+ (%d.%d.%d) was found.\n",
               gtk_major_version, gtk_minor_version, gtk_micro_version);
        printf("*** You need a version of GTK+ newer than %d.%d.%d. The latest version of\n",
	       major, minor, micro);
        printf("*** GTK+ is always available from ftp://ftp.gtk.org.\n");
        printf("***\n");
        printf("*** If you have already installed a sufficiently new version, this error\n");
        printf("*** probably means that the wrong copy of the gtk-config shell script is\n");
        printf("*** being found. The easiest way to fix this is to remove the old version\n");
        printf("*** of GTK+, but you can also set the GTK_CONFIG environment to point to the\n");
        printf("*** correct copy of gtk-config. (In this case, you will have to\n");
        printf("*** modify your LD_LIBRARY_PATH enviroment variable, or edit /etc/ld.so.conf\n");
        printf("*** so that the correct libraries are found at run-time))\n");
      }
    }
  return 1;
}

configure:9427: result: no
configure:9457: gcc -o conftest -g -O2 -I/usr/local/include/gtk-1.2 -I/usr/local/include/glib-1.2 -I/usr/local/lib/glib/include -I/usr/X11R6/include   conftest.c  -L/usr/local/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXext -lX11 -lm >&5
In file included from /usr/local/include/glib-1.2/glib.h:66,
                 from /usr/local/include/gtk-1.2/gdk/gdktypes.h:33,
                 from /usr/local/include/gtk-1.2/gdk/gdk.h:31,
                 from /usr/local/include/gtk-1.2/gtk/gtk.h:31,
                 from configure:9443:
/usr/local/lib/glib/include/glibconfig.h:9:26: glib/gmacros.h: No such file or directory
In file included from /usr/local/include/glib-1.2/glib.h:66,
                 from /usr/local/include/gtk-1.2/gdk/gdktypes.h:33,
                 from /usr/local/include/gtk-1.2/gdk/gdk.h:31,
                 from /usr/local/include/gtk-1.2/gtk/gtk.h:31,
                 from configure:9443:
/usr/local/lib/glib/include/glibconfig.h:32: error: syntax error before "typedef"
/usr/local/lib/glib/include/glibconfig.h:46: error: syntax error before "typedef"
/usr/local/lib/glib/include/glibconfig.h:47: error: syntax error before "typedef"
In file included from /usr/local/include/glib-1.2/glib.h:70,
                 from /usr/local/include/gtk-1.2/gdk/gdktypes.h:33,
                 from /usr/local/include/gtk-1.2/gdk/gdk.h:31,
                 from /usr/local/include/gtk-1.2/gtk/gtk.h:31,
                 from configure:9443:
/usr/local/gcc-3.3.3/lib/gcc-lib/i686-pc-linux-gnu/3.3.3/include/stdarg.h:43: error: syntax error before "typedef"
In file included from /usr/local/include/gtk-1.2/gdk/gdktypes.h:33,
                 from /usr/local/include/gtk-1.2/gdk/gdk.h:31,
                 from /usr/local/include/gtk-1.2/gtk/gtk.h:31,
                 from configure:9443:
/usr/local/include/glib-1.2/glib.h:502: error: redefinition of `gssize'
/usr/local/lib/glib/include/glibconfig.h:58: error: `gssize' previously declared here
/usr/local/include/glib-1.2/glib.h:503: error: redefinition of `gsize'
/usr/local/lib/glib/include/glibconfig.h:59: error: `gsize' previously declared here
configure:9460: $? = 1
configure: failed program was:
#line 9441 "configure"
#include "confdefs.h"

#include <gtk/gtk.h>
#include <stdio.h>

int
main ()
{
 return ((gtk_major_version) || (gtk_minor_version) || (gtk_micro_version));
  ;
  return 0;
}
configure:9554: checking for imlib-config
configure:9572: found /usr/local/bin/imlib-config
configure:9585: result: /usr/local/bin/imlib-config
configure:9593: checking for GDK IMLIB - version >= 1.8.0
configure:9686: result: yes
configure:10038: gcc -o conftest -g -O2   -I/usr/X11R6/include  conftest.c  >&5
configure:10041: $? = 0
configure:10043: ./conftest
configure:10046: $? = 0
configure:10091: gcc -o conftest -g -O2    conftest.c  >&5
configure:10094: $? = 0
configure:10096: ./conftest
configure:10099: $? = 0
configure:10487: creating ./config.status

## ---------------------- ##
## Running config.status. ##
## ---------------------- ##

This file was extended by config.status, which was
generated by GNU Autoconf 2.54.  Invocation command line was

  CONFIG_FILES    = 
  CONFIG_HEADERS  = 
  CONFIG_LINKS    = 
  CONFIG_COMMANDS = 
  $ ./config.status 

on localhost.localdomain

config.status:739: creating Makefile
config.status:739: creating libs/Makefile
config.status:739: creating fvwm/Makefile
config.status:739: creating modules/Makefile
config.status:739: creating utils/Makefile
config.status:739: creating utils/fvwm-config
config.status:739: creating utils/fvwm-menu-xlock
config.status:739: creating utils/fvwm-menu-directory
config.status:739: creating utils/fvwm-menu-desktop
config.status:739: creating utils/fvwm-menu-headlines
config.status:739: creating utils/fvwm24_convert
config.status:739: creating utils/fvwmbug.sh
config.status:739: creating rpm/Makefile
config.status:739: creating rpm/fvwm.spec
config.status:739: creating docs/fvwm.lsm
config.status:739: creating docs/Makefile
config.status:739: creating sample.fvwmrc/Makefile
config.status:739: creating tests/Makefile
config.status:739: creating modules/FvwmAnimate/Makefile
config.status:739: creating modules/FvwmAuto/Makefile
config.status:739: creating modules/FvwmBacker/Makefile
config.status:739: creating modules/FvwmBanner/Makefile
config.status:739: creating modules/FvwmButtons/Makefile
config.status:739: creating modules/FvwmCommand/Makefile
config.status:739: creating modules/FvwmCommand/scripts/Makefile
config.status:739: creating modules/FvwmConsole/Makefile
config.status:739: creating modules/FvwmConsole/FvwmConsoleC.pl
config.status:739: creating modules/FvwmCpp/Makefile
config.status:739: creating modules/FvwmDebug/Makefile
config.status:739: creating modules/FvwmDragWell/Makefile
config.status:739: creating modules/FvwmEvent/Makefile
config.status:739: creating modules/FvwmForm/Makefile
config.status:739: creating modules/FvwmIconBox/Makefile
config.status:739: creating modules/FvwmIconMan/Makefile
config.status:739: creating modules/FvwmIdent/Makefile
config.status:739: creating modules/FvwmM4/Makefile
config.status:739: creating modules/FvwmPager/Makefile
config.status:739: creating modules/FvwmRearrange/Makefile
config.status:739: creating modules/FvwmSave/Makefile
config.status:739: creating modules/FvwmSaveDesk/Makefile
config.status:739: creating modules/FvwmScript/Makefile
config.status:739: creating modules/FvwmScript/Scripts/Makefile
config.status:739: creating modules/FvwmScript/Widgets/Makefile
config.status:739: creating modules/FvwmScroll/Makefile
config.status:739: creating modules/FvwmTaskBar/Makefile
config.status:739: creating modules/FvwmTheme/Makefile
config.status:739: creating modules/FvwmWharf/Makefile
config.status:739: creating modules/FvwmWinList/Makefile
config.status:739: creating modules/FvwmGtk/Makefile
config.status:843: creating config.h
config.status:1233: executing depfiles commands

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_c_compiler_gnu=yes
ac_cv_c_const=yes
ac_cv_c_inline=inline
ac_cv_dmalloc=no
ac_cv_efence=no
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_exeext=
ac_cv_func_alloca_works=yes
ac_cv_func_atexit=yes
ac_cv_func_connect=yes
ac_cv_func_div=yes
ac_cv_func_gethostbyname=yes
ac_cv_func_gethostname=yes
ac_cv_func_getpwuid=yes
ac_cv_func_gettimeofday=yes
ac_cv_func_memcpy=yes
ac_cv_func_memmove=yes
ac_cv_func_mkfifo=yes
ac_cv_func_putenv=yes
ac_cv_func_remove=yes
ac_cv_func_select=yes
ac_cv_func_setvbuf=yes
ac_cv_func_setvbuf_reversed=no
ac_cv_func_shmat=yes
ac_cv_func_sigaction=yes
ac_cv_func_siginterrupt=yes
ac_cv_func_socket=yes
ac_cv_func_strcasecmp=yes
ac_cv_func_strchr=yes
ac_cv_func_strdup=yes
ac_cv_func_strerror=yes
ac_cv_func_strftime=yes
ac_cv_func_strncasecmp=yes
ac_cv_func_strstr=yes
ac_cv_func_strtol=yes
ac_cv_func_sysconf=yes
ac_cv_func_uname=yes
ac_cv_func_usleep=yes
ac_cv_func_vfprintf=yes
ac_cv_func_waitpid=yes
ac_cv_have_x='have_x=yes 		ac_x_includes=/usr/X11R6/include ac_x_libraries=/usr/X11R6/lib'
ac_cv_header_X11_xpm_h=yes
ac_cv_header_fcntl_h=yes
ac_cv_header_getopt_h=yes
ac_cv_header_inttypes_h=yes
ac_cv_header_limits_h=yes
ac_cv_header_malloc_h=yes
ac_cv_header_memory_h=yes
ac_cv_header_minix_config_h=no
ac_cv_header_readline_history_h=yes
ac_cv_header_rplay_h=yes
ac_cv_header_stdarg_h=yes
ac_cv_header_stdc=yes
ac_cv_header_stdint_h=yes
ac_cv_header_stdlib_h=yes
ac_cv_header_string_h=yes
ac_cv_header_strings_h=yes
ac_cv_header_stroke_h=yes
ac_cv_header_sys_select_h=yes
ac_cv_header_sys_socket_h=yes
ac_cv_header_sys_stat_h=yes
ac_cv_header_sys_systeminfo_h=no
ac_cv_header_sys_time_h=yes
ac_cv_header_sys_types_h=yes
ac_cv_header_sys_wait_h=yes
ac_cv_header_unistd_h=yes
ac_cv_lib_ICE_IceConnectionNumber=yes
ac_cv_lib_SM_SmcOpenConnection=yes
ac_cv_lib_X11__Xsetlocale=no
ac_cv_lib_Xext_XShapeQueryExtension=yes
ac_cv_lib_Xinerama_XineramaIsActive=yes
ac_cv_lib_Xpm_XpmReadFileToXpmImage=yes
ac_cv_lib_readline_readline=yes
ac_cv_lib_rplay_rplay_create=yes
ac_cv_lib_stroke_stroke_init=yes
ac_cv_objext=o
ac_cv_path_FVWM_CPP=/usr/local/bin/cpp
ac_cv_path_GTK_CONFIG=/usr/local/bin/gtk-config
ac_cv_path_IMLIBCONF=/usr/local/bin/imlib-config
ac_cv_path_PERL=/usr/local/bin/perl
ac_cv_path_install='/usr/local/bin/install -c'
ac_cv_prog_AWK=gawk
ac_cv_prog_CPP='gcc -E'
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_ac_ct_RANLIB=ranlib
ac_cv_prog_cc_g=yes
ac_cv_prog_cc_stdc=
ac_cv_prog_egrep='grep -E'
ac_cv_prog_make_make_set=yes
ac_cv_search_strerror='none required'
ac_cv_type_fd_set=fd_set
ac_cv_type_fd_set_size_t=int
ac_cv_type_off_t=yes
ac_cv_type_pid_t=yes
ac_cv_type_sig_atomic_t=yes
ac_cv_type_signal=void
ac_cv_type_size_t=yes
ac_cv_working_alloca_h=yes
am_cv_CC_dependencies_compiler_type=gcc3

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='${SHELL} /install/fvwm-2.4.19/missing --run aclocal-1.7'
ALLOCA=''
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='${SHELL} /install/fvwm-2.4.19/missing --run tar'
AUTOCONF='${SHELL} /install/fvwm-2.4.19/missing --run autoconf'
AUTOHEADER='${SHELL} /install/fvwm-2.4.19/missing --run autoheader'
AUTOMAKE='${SHELL} /install/fvwm-2.4.19/missing --run automake-1.7'
AWK='gawk'
CC='gcc'
CCDEPMODE='depmode=gcc3'
CFLAGS='-g -O2'
CPP='gcc -E'
CPPFLAGS=''
CYGPATH_W='echo'
DEFS='-DHAVE_CONFIG_H'
DEPDIR='.deps'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP='grep -E'
EXEEXT=''
FVWMBANNER='FvwmBanner'
FVWMGTK=''
FVWMGTKDEBUG=''
FVWMSCRIPT='FvwmScript'
FVWM_CONFDIR='${sysconfdir}'
FVWM_CPP='/usr/local/bin/cpp'
FVWM_DATADIR='${datadir}/fvwm'
FVWM_IMAGEPATH='/usr/include/X11/bitmaps:/usr/include/X11/pixmaps'
FVWM_MODULEDIR='${libexecdir}/fvwm/2.4.19'
GDK_IMLIB_CFLAGS='-I/usr/local/include/gtk-1.2 -I/usr/local/include/glib-1.2 -I/usr/local/lib/glib/include -I/usr/X11R6/include -I/usr/local/include -I/usr/X11R6/include'
GDK_IMLIB_LIBS='-L/usr/local/lib -lgdk_imlib -L/usr/local/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXext -lX11 -lm'
GNOMEUI_LIBS=''
GNOME_CONFIG=''
GNOME_INCLUDEDIR=''
GNOME_LIBDIR=''
GNOME_LIBS=''
GTK_CFLAGS=''
GTK_CONFIG='/usr/local/bin/gtk-config'
GTK_LIBS=''
IMLIBCONF='/usr/local/bin/imlib-config'
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='${SHELL} $(install_sh) -c -s'
LDFLAGS=''
LIBOBJS=''
LIBS=''
LN_S='ln -s'
LTLIBOBJS=''
MAKEINFO='${SHELL} /install/fvwm-2.4.19/missing --run makeinfo'
MANFVWMGTK=''
MANFVWMGTKDEBUG=''
OBJEXT='o'
PACKAGE='fvwm'
PACKAGE_BUGREPORT=''
PACKAGE_NAME=''
PACKAGE_STRING=''
PACKAGE_TARNAME=''
PACKAGE_VERSION=''
PATH_SEPARATOR=':'
PERL='/usr/local/bin/perl'
RANLIB='ranlib'
SET_MAKE=''
SHELL='/bin/sh'
STRIP=''
VERSION='2.4.19'
XPMROOT='xpmroot'
XPMROOT_NEW_NAME_SYMLINKS=''
X_CFLAGS=' -I/usr/X11R6/include'
X_EXTRA_LIBS=''
X_LIBS=' -L/usr/X11R6/lib'
X_PRE_LIBS=' -lSM -lICE'
Xinerama_CFLAGS=''
Xinerama_LIBS='-lXinerama'
ac_ct_CC='gcc'
ac_ct_RANLIB='ranlib'
ac_ct_STRIP=''
am__fastdepCC_FALSE='#'
am__fastdepCC_TRUE=''
am__include='include'
am__quote=''
bindir='${exec_prefix}/bin'
build=''
build_alias=''
build_cpu=''
build_os=''
build_vendor=''
datadir='${prefix}/share'
exec_prefix='${prefix}'
host=''
host_alias=''
host_cpu=''
host_os=''
host_vendor=''
includedir='${prefix}/include'
infodir='${prefix}/info'
install_sh='/install/fvwm-2.4.19/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localstatedir='${prefix}/var'
mandir='${prefix}/man'
oldincludedir='/usr/include'
prefix='/usr/local'
program_transform_name='s,x,x,'
readline_CFLAGS=''
readline_LIBS='-lreadline -ltermcap'
rplay_CFLAGS=''
rplay_LIBS='-lrplay'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
stroke_CFLAGS=''
stroke_LIBS='-lstroke'
sysconfdir='${prefix}/etc'
target_alias=''
with_gdkimlib='yes'
with_gnomehints='yes'
with_gnomelibs='no'
with_gtk='no'
with_multibyte='no'
with_readline='yes'
with_rplay='yes'
with_shape='yes'
with_sm='yes'
with_stroke='yes'
with_xinerama='yes'
with_xpm='yes'
xpm_CFLAGS=''
xpm_LIBS='-lXpm'

## ----------- ##
## confdefs.h. ##
## ----------- ##

#define COMPOUND_TEXT 1
#define FVWM_IMAGEPATH "/usr/include/X11/bitmaps:/usr/include/X11/pixmaps"
#define GDK_IMLIB 1
#define GNOME 1
#define HAVE_ALLOCA 1
#define HAVE_ALLOCA_H 1
#define HAVE_ATEXIT 1
#define HAVE_DIV 1
#define HAVE_FCNTL_H 1
#define HAVE_GETHOSTNAME 1
#define HAVE_GETOPT_H 1
#define HAVE_GETPWUID 1
#define HAVE_GETTIMEOFDAY 1
#define HAVE_INTTYPES_H 1
#define HAVE_LIMITS_H 1
#define HAVE_MALLOC_H 1
#define HAVE_MEMCPY 1
#define HAVE_MEMMOVE 1
#define HAVE_MEMORY_H 1
#define HAVE_MEMORY_H 1
#define HAVE_MKFIFO 1
#define HAVE_PUTENV 1
#define HAVE_READLINE 1
#define HAVE_READLINE_HISTORY_H 1
#define HAVE_RPLAY 1
#define HAVE_RPLAY_H 1
#define HAVE_SELECT 1
#define HAVE_SETVBUF 1
#define HAVE_SIGACTION 1
#define HAVE_SIGINTERRUPT 1
#define HAVE_SOCKET 1
#define HAVE_STDARG_H 1
#define HAVE_STDINT_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STRCASECMP 1
#define HAVE_STRCHR 1
#define HAVE_STRDUP 1
#define HAVE_STRDUP 1
#define HAVE_STRERROR 1
#define HAVE_STRFTIME 1
#define HAVE_STRINGS_H 1
#define HAVE_STRING_H 1
#define HAVE_STRING_H 1
#define HAVE_STRNCASECMP 1
#define HAVE_STROKE 1
#define HAVE_STROKE_H 1
#define HAVE_STRSTR 1
#define HAVE_STRTOL 1
#define HAVE_SYSCONF 1
#define HAVE_SYS_SELECT_H 1
#define HAVE_SYS_SELECT_H 1
#define HAVE_SYS_SOCKET_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_SYS_TIME_H 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_SYS_WAIT_H 1
#define HAVE_UNAME 1
#define HAVE_UNISTD_H 1
#define HAVE_UNISTD_H 1
#define HAVE_UNISTD_H 1
#define HAVE_USLEEP 1
#define HAVE_VFPRINTF 1
#define HAVE_WAITPID 1
#define HAVE_WAITPID 1
#define HAVE_X11_XPM_H 1
#define HAVE_XINERAMA 1
#define PACKAGE "fvwm"
#define PACKAGE_BUGREPORT ""
#define PACKAGE_NAME ""
#define PACKAGE_STRING ""
#define PACKAGE_TARNAME ""
#define PACKAGE_VERSION ""
#define PROTOTYPES 1
#define RETSIGTYPE void
#define SELECT_FD_SET_CAST 
#define SESSION 1
#define SHAPE 1
#define STDC_HEADERS 1
#define STDC_HEADERS 1
#define VERSION "2.4.19"
#define XPM 1
#define __PROTOTYPES 1
#define fd_set_size_t int

configure: exit 0